Description

I propose Japanese translation change.

setting_text_formatting:

current: "テキストの書式"

new: "テキスト書式"

Current translation is "テキストの書式". It is made by connecting two nouns "テキスト" (text) and "書式" (formatting) with a particle "の". With the

particle "の", the word "テキスト" modifies "書式". As a result, it means "formatting of text". "テキストの書式" is essentially two nouns, "テキスト" and

"書式". And the word "書式" is most emphasized.

The proposed new translation "テキスト書式" is also made by two nouns, but there is no particle "の". In this translation, the connection

between "テキスト" and "書式" becomes stronger, so it becomes practically like one noun. No specific noun is emphasized.

"text formatting" is compound　and semantically a single noun. Therefore I think "テキスト書式" is more appropriate as the Japanese

translation.

setting_cache_formatted_text:

current: "書式化されたテキストをキャッシュする"

new: "テキスト書式の変換結果をキャッシュ"

The current translation "書式化されたテキストをキャッシュする" is a literal translation from English. But "書式化されたテキスト" is unfamiliar expression. So

it is hard to understand the meaning of translation for many people.

The new translation means "Cache conversion result of text formatting". The meaning of the setting will be clarified. And by using the

word "テキスト書式" (translation for setting_text_formatting), users can easily understand the relation with text formatting such as Textile

and Markdown.

Related issues:

Blocks Redmine - Patch #24751: Japanese translation update (r16063, r16066, r... Closed

Associated revisions

Revision 16239 - 2017-01-20 21:32 - Toshi MARUYAMA

Japanese translation of setting_text_formatting and setting_cache_formatted_text changed by Go MAEDA (#24750)

History

#1 - 2017-01-04 05:32 - Go MAEDA

- Blocks Patch #24751: Japanese translation update (r16063, r16066, r16067, r16090, r16108, r16119) added

#2 - 2017-01-07 08:56 - Jean-Philippe Lang

- Assignee set to Toshi MARUYAMA

Toshi, what do you think about the proposed changes?

#3 - 2017-01-15 14:34 - Go MAEDA

- Target version set to 3.4.0

#4 - 2017-01-21 06:52 - Toshi MARUYAMA
- Status changed from New to Closed

Committed, thanks.
